<?php

//run only one function at a time and check up the results after every step

class PSTNGroupCest 
{ 
    public function PSTNCreate(AcceptanceTester $I)
    {
	$I->loginSuccessfully($I);
	switch ($I->moduleName) {
    		case "1E1":
		case "2E1":
		case "2t1e1":
        		$I->click("ISDN PRI");
			//Path problem with Codeception
			$I->amOnPage('/app/berogui/index.php?m=Isdn&opt=pri');
			$I->see('ISDN PRI CONFIGURATION');
			$I->click("Add");
			$I->sendAjaxPostRequest('/app/berogui/modules/Isdn/isdn_submit.php?opt=PRI', array(
    				'group' => 'IsdnGroup',
				'ports[]' => true,
    				'country_code' => '0049',
    				'city_code' => '030'
			), 'submit');
        		break;
    		case "4FXS":
			$I->click("ANALOG FXS");
			$I->amOnPage('/app/berogui/index.php?m=Analog&opt=fxs');
			$I->see('ANALOG FXS CONFIGURATION');
			$I->click("Add");
			$I->sendAjaxPostRequest('/app/berogui/modules/Analog/analog_submit.php?opt=fxs', array(
    				'group' => 'AnalogGroup',
				'ports[]' => true
			), 'submit');
        		break;
    		case "4FXO":
			$I->click("ANALOG FXO");
			$I->amOnPage('/app/berogui/index.php?m=Analog&opt=fxo');
			$I->see('ANALOG FXO CONFIGURATION');
			$I->click("Add");
			$I->sendAjaxPostRequest('/app/berogui/modules/Analog/analog_submit.php?opt=fxo', array(
    				'group' => 'AnalogGroup',
				'ports[]' => true,
				'clip' => '111'
			), 'submit');
        		break;
    		case "4S0":
        		$I->click("ISDN BRI");
			$I->amOnPage('/app/berogui/index.php?m=Isdn&opt=bri');
			$I->see('ISDN BRI CONFIGURATION');
			$I->click("Add");
			$I->sendAjaxPostRequest('/app/berogui/modules/Isdn/isdn_submit.php?opt=BRI', array(
    				'group' => 'IsdnGroup',
				'ports[]' => true,
    				'country_code' => '0049',
    				'city_code' => '030'
			), 'submit');
        		break;
    		case "2S02FXS":
			//Create Isdn group
        		$I->click("ISDN BRI");
			$I->amOnPage('/app/berogui/index.php?m=Isdn&opt=bri');
			$I->see('ISDN BRI CONFIGURATION');
			$I->click("Add");
			$I->sendAjaxPostRequest('/app/berogui/modules/Isdn/isdn_submit.php?opt=BRI', array(
    				'group' => 'IsdnGroup',
				'ports[]' => true,
    				'country_code' => '0049',
    				'city_code' => '030'
			), 'submit');
			//Create analog group
			$I->amOnPage('/app/berogui/index.php');
			$I->click("ANALOG FXS");
			$I->amOnPage('/app/berogui/index.php?m=Analog&opt=fxs');
			$I->see('ANALOG FXS CONFIGURATION');
			$I->click("Add");
			$I->sendAjaxPostRequest('/app/berogui/modules/Analog/analog_submit.php?opt=fxs', array(
    				'group' => 'AnalogGroup',
				'ports[]' => true
			), 'submit');
        		break;
	}
	

    }  
    public function  PSTNModify(AcceptanceTester $I)
    {
	//add "222" to the group name
	$I->loginSuccessfully($I);
	switch ($I->moduleName) {
    		case "1E1":
		case "2E1":
		case "2t1e1":
        		$I->click("ISDN PRI");
			//Path problem with Codeception
			$I->amOnPage('/app/berogui/index.php?m=Isdn&opt=pri');
			$I->see('ISDN PRI CONFIGURATION');
			$I->click("//a[contains(@href,'modules/Isdn/isdn_popup.php?gr=IsdnGroup&opt=PRI')]");
			$I->sendAjaxPostRequest('/app/berogui/modules/Isdn/isdn_submit.php?gr=IsdnGroup&opt=PRI', array(
    				'group' => 'Isdn222Group',
				'ports[]' => true,
    				'country_code' => '0049',
    				'city_code' => '030'
			), 'submit');
        		break;
    		case "4FXS":
			$I->click("ANALOG FXS");
			$I->amOnPage('/app/berogui/index.php?m=Analog&opt=fxs');
			$I->see('ANALOG FXS CONFIGURATION');
			$I->click("//a[contains(@href,'modules/Analog/analog_popup.php?gr=AnalogGroup&opt=FXS')]");
			$I->sendAjaxPostRequest('/app/berogui/modules/Analog/analog_submit.php?opt=fxs', array(
    				'group' => 'Analog222Group',
				'ports[]' => true,
				'clip' => '111'
			), 'submit');
        		break;
    		case "4FXO":
			$I->click("ANALOG FXO");
			$I->amOnPage('/app/berogui/index.php?m=Analog&opt=fxo');
			$I->see('ANALOG FXO CONFIGURATION');
			$I->click("//a[contains(@href,'modules/Analog/analog_popup.php?gr=AnalogGroup&opt=FXO')]");
			$I->sendAjaxPostRequest('/app/berogui/modules/Analog/analog_submit.php?opt=fxo', array(
    				'group' => 'Analog222Group',
				'ports[]' => true
			), 'submit');
        		break;
		case "4S0":
        		$I->click("ISDN BRI");
			$I->amOnPage('/app/berogui/index.php?m=Isdn&opt=bri');
			$I->see('ISDN BRI CONFIGURATION');
			$I->click("//a[contains(@href,'modules/Isdn/isdn_popup.php?gr=IsdnGroup&opt=BRI')]");
			$I->sendAjaxPostRequest('/app/berogui/modules/Isdn/isdn_submit.php?gr=BriGroup&opt=BRI', array(
    				'group' => 'Isdn222Group',
				'ports[]' => true,
    				'country_code' => '0049',
    				'city_code' => '030'
			), 'submit');
        		break;
		case "2S02FXS":
        		$I->click("ISDN BRI");
			$I->amOnPage('/app/berogui/index.php?m=Isdn&opt=bri');
			$I->see('ISDN BRI CONFIGURATION');
			$I->click("//a[contains(@href,'modules/Isdn/isdn_popup.php?gr=IsdnGroup&opt=BRI')]");
			$I->sendAjaxPostRequest('/app/berogui/modules/Isdn/isdn_submit.php?gr=BriGroup&opt=BRI', array(
    				'group' => 'Isdn222Group',
				'ports[]' => true,
    				'country_code' => '0049',
    				'city_code' => '030'
			), 'submit');
			$I->amOnPage('/app/berogui/index.php');
			$I->click("ANALOG FXS");
			$I->see('ANALOG FXS CONFIGURATION');
			$I->click("//a[contains(@href,'modules/Analog/analog_popup.php?gr=AnalogGroup&opt=FXS')]");
			$I->sendAjaxPostRequest('/app/berogui/modules/Analog/analog_submit.php?opt=fxs', array(
    				'group' => 'Analog222Group',
				'ports[]' => true,
				'clip' => '111'
			), 'submit');
        		break;
    	}
	

    }  

}
?>
